CREATE TABLE gtg_ts_suppliercontacts (
    ETL_SEQUENCE_ID               NUMBER(19, 0) ,
    ETL_VERSION_NUMBER            NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER         NUMBER(18, 0) ,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CONTACT_POINT_ID              NUMBER(18, 0) ,
    CONTACT_POINT_TYPE            VARCHAR2(120) ,
    DIRECTIONAL_FLAG              VARCHAR2(4)   ,
    EMAILADDR                     VARCHAR2(1280),
    HZCONTACTPOINTS_CB            VARCHAR2(256) ,
    HZCONTACTPOINTS_CD            TIMESTAMP(6)  ,
    HZCONTACTPOINTS_LUB           VARCHAR2(256) ,
    HZCONTACTPOINTS_LUD           TIMESTAMP(6)  ,
    HZORGCONTACTROLES_CB          VARCHAR2(256) ,
    HZORGCONTACTROLES_CD          TIMESTAMP(6)  ,
    HZORGCONTACTROLES_LUB         VARCHAR2(256) ,
    HZORGCONTACTROLES_LUD         TIMESTAMP(6)  ,
    HZORGCONTACTS_CB              VARCHAR2(256) ,
    HZORGCONTACTS_CD              TIMESTAMP(6)  ,
    HZORGCONTACTS_LUB             VARCHAR2(256) ,
    HZORGCONTACTS_LUD             TIMESTAMP(6)  ,
    HZPARTIES_CB                  VARCHAR2(256) ,
    HZPARTIES_CD                  TIMESTAMP(6)  ,
    HZPARTIES_LUB                 VARCHAR2(256) ,
    HZPARTIES_LUD                 TIMESTAMP(6)  ,
    HZPARTYUSGASSIGNMENTS_CB      VARCHAR2(256) ,
    HZPARTYUSGASSIGNMENTS_CD      TIMESTAMP(6)  ,
    HZPARTYUSGASSIGNMENTS_LUB     VARCHAR2(256) ,
    HZPARTYUSGASSIGNMENTS_LUD     TIMESTAMP(6)  ,
    HZRELATIONSHIPS_CB            VARCHAR2(256) ,
    HZRELATIONSHIPS_CD            TIMESTAMP(6)  ,
    HZRELATIONSHIPS_LUB           VARCHAR2(256) ,
    HZRELATIONSHIPS_LUD           TIMESTAMP(6)  ,
    JOB_TITLE                     VARCHAR2(400) ,
    ORG_CONTACT_ID                NUMBER(18, 0) ,
    ORG_CONTACT_ROLE_ID           NUMBER(18, 0) ,
    PARTY_ID                      NUMBER(18, 0) ,
    PARTY_NAME                    VARCHAR2(1440),
    PARTY_NUMBER                  VARCHAR2(120) ,
    PARTY_USAGE_CODE              VARCHAR2(120) ,
    PARTY_USG_ASSIGNMENT_ID       NUMBER(18, 0) ,
    PERSON_FIRST_NAME             VARCHAR2(600) ,
    PERSON_LAST_NAME              VARCHAR2(600) ,
    PERSON_MIDDLE_NAME            VARCHAR2(240) ,
    PERSON_PRE_NAME_ADJUNCT       VARCHAR2(120) ,
    PHONE_AREA_CODE               VARCHAR2(80)  ,
    PHONE_COUNTRY_CODE            VARCHAR2(40)  ,
    PHONE_EXTENSION               VARCHAR2(80)  ,
    PHONE_LINE_TYPE               VARCHAR2(120) ,
    PHONE_NUMBER                  VARCHAR2(160) ,
    PRIMARY_PHONE_AREA_CODE       VARCHAR2(80)  ,
    PRIMARY_PHONE_COUNTRY_CODE    VARCHAR2(40)  ,
    PRIMARY_PHONE_NUMBER          VARCHAR2(160) ,
    PTSEMAIL                      VARCHAR2(1280),
    PTSSTATUS                     VARCHAR2(120) ,
    RAW_PHONE_NUMBER              VARCHAR2(240) ,
    RELATIONSHIP_ID               NUMBER(18, 0) ,
    ROLE_TYPE                     VARCHAR2(120) ,
    STATUS                        VARCHAR2(4)   ,
    SUBJECT_ID                    NUMBER(18, 0) ,
    URL                           VARCHAR2(4000),
    ETL_SEQUENCE_ID               NUMBER(19, 0) ,
    ETL_VERSION_NUMBER            NUMBER(18, 0) ,
    DELETE_VERSION_NUMBER         NUMBER(18, 0) ,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CONTACT_POINT_ID              NUMBER(18, 0) ,
    CONTACT_POINT_TYPE            VARCHAR2(120) ,
    DIRECTIONAL_FLAG              VARCHAR2(4)   ,
    EMAILADDR                     VARCHAR2(1280),
    HZCONTACTPOINTS_CB            VARCHAR2(256) ,
    HZCONTACTPOINTS_CD            TIMESTAMP(6)  ,
    HZCONTACTPOINTS_LUB           VARCHAR2(256) ,
    HZCONTACTPOINTS_LUD           TIMESTAMP(6)  ,
    HZORGCONTACTROLES_CB          VARCHAR2(256) ,
    HZORGCONTACTROLES_CD          TIMESTAMP(6)  ,
    HZORGCONTACTROLES_LUB         VARCHAR2(256) ,
    HZORGCONTACTROLES_LUD         TIMESTAMP(6)  ,
    HZORGCONTACTS_CB              VARCHAR2(256) ,
    HZORGCONTACTS_CD              TIMESTAMP(6)  ,
    HZORGCONTACTS_LUB             VARCHAR2(256) ,
    HZORGCONTACTS_LUD             TIMESTAMP(6)  ,
    HZPARTIES_CB                  VARCHAR2(256) ,
    HZPARTIES_CD                  TIMESTAMP(6)  ,
    HZPARTIES_LUB                 VARCHAR2(256) ,
    HZPARTIES_LUD                 TIMESTAMP(6)  ,
    HZPARTYUSGASSIGNMENTS_CB      VARCHAR2(256) ,
    HZPARTYUSGASSIGNMENTS_CD      TIMESTAMP(6)  ,
    HZPARTYUSGASSIGNMENTS_LUB     VARCHAR2(256) ,
    HZPARTYUSGASSIGNMENTS_LUD     TIMESTAMP(6)  ,
    HZRELATIONSHIPS_CB            VARCHAR2(256) ,
    HZRELATIONSHIPS_CD            TIMESTAMP(6)  ,
    HZRELATIONSHIPS_LUB           VARCHAR2(256) ,
    HZRELATIONSHIPS_LUD           TIMESTAMP(6)  ,
    JOB_TITLE                     VARCHAR2(400) ,
    ORG_CONTACT_ID                NUMBER(18, 0) ,
    ORG_CONTACT_ROLE_ID           NUMBER(18, 0) ,
    PARTY_ID                      NUMBER(18, 0) ,
    PARTY_NAME                    VARCHAR2(1440),
    PARTY_NUMBER                  VARCHAR2(120) ,
    PARTY_USAGE_CODE              VARCHAR2(120) ,
    PARTY_USG_ASSIGNMENT_ID       NUMBER(18, 0) ,
    PERSON_FIRST_NAME             VARCHAR2(600) ,
    PERSON_LAST_NAME              VARCHAR2(600) ,
    PERSON_MIDDLE_NAME            VARCHAR2(240) ,
    PERSON_PRE_NAME_ADJUNCT       VARCHAR2(120) ,
    PHONE_AREA_CODE               VARCHAR2(80)  ,
    PHONE_COUNTRY_CODE            VARCHAR2(40)  ,
    PHONE_EXTENSION               VARCHAR2(80)  ,
    PHONE_LINE_TYPE               VARCHAR2(120) ,
    PHONE_NUMBER                  VARCHAR2(160) ,
    PRIMARY_PHONE_AREA_CODE       VARCHAR2(80)  ,
    PRIMARY_PHONE_COUNTRY_CODE    VARCHAR2(40)  ,
    PRIMARY_PHONE_NUMBER          VARCHAR2(160) ,
    PTSEMAIL                      VARCHAR2(1280),
    PTSSTATUS                     VARCHAR2(120) ,
    RAW_PHONE_NUMBER              VARCHAR2(240) ,
    RELATIONSHIP_ID               NUMBER(18, 0) ,
    ROLE_TYPE                     VARCHAR2(120) ,
    STATUS                        VARCHAR2(4)   ,
    SUBJECT_ID                    NUMBER(18, 0) ,
    URL                           VARCHAR2(4000),
    CONSTRAINT pk_gtg_ts_suppliercontacts PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
